Package org.htmlunit

# Class WebClientOptions.Geolocation

java.lang.Object
org.htmlunit.WebClientOptions.Geolocation

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `WebClientOptions`

public static class WebClientOptions.Geolocation extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Geolocation(double latitude, double longitude, double accuracy, Double altitude, Double altitudeAccuracy, Double heading, Double speed)`
  Ctor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getAccuracy()`
  `Double`
  `getAltitude()`
  `Double`
  `getAltitudeAccuracy()`
  `Double`
  `getHeading()`
  `double`
  `getLatitude()`
  `double`
  `getLongitude()`
  `Double`
  `getSpeed()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Geolocation

    public Geolocation(double latitude, double longitude, double accuracy, Double altitude, Double altitudeAccuracy, Double heading, Double speed)
    Ctor.
    Parameters:
      `latitude` - the latitude
      `longitude` - the longitude
      `accuracy` - the accuracy
      `altitude` - the altitude or null
      `altitudeAccuracy` - the altitudeAccuracy or null
      `heading` - the heading or null
      `speed` - the speed or null

- ## Method Details

  - ### getAccuracy

    public double getAccuracy()
    Returns:
      the accuracy

  - ### getLatitude

    public double getLatitude()
    Returns:
      the latitude

  - ### getLongitude

    public double getLongitude()
    Returns:
      the longitude

  - ### getAltitude

    public Double getAltitude()
    Returns:
      the longitude

  - ### getAltitudeAccuracy

    public Double getAltitudeAccuracy()
    Returns:
      the altitudeAccuracy

  - ### getHeading

    public Double getHeading()
    Returns:
      the heading

  - ### getSpeed

    public Double getSpeed()
    Returns:
      the speed